# $Id: Makefile.in,v 1.8 2003-08-12 10:47:34 schuppan Exp $ #

#---------------------------------------------------------------------------#

CC=@CC@
CFLAGS=@CFLAGS@ @INCS@

#---------------------------------------------------------------------------#

LIB=../lib/libjnukejar.a
OBJDIR=../obj/jar
OBJ=$(OBJDIR)/jarblack.o \
$(OBJDIR)/jarfile.o \
$(OBJDIR)/jarentry.o \
$(OBJDIR)/unstore.o \
$(OBJDIR)/undeflate.o \
$(OBJDIR)/unreduce.o \
$(OBJDIR)/unimplode.o \
$(OBJDIR)/unshrink.o \
$(OBJDIR)/crc32.o

all: $(LIB)

$(LIB): $(OBJ)
	ar rc $@ $(OBJ)
	ranlib $@

clean:
	rm -f $(LIB) $(OBJ)
	rm -f *.da *.bb *.bbg *.c.gcov *.[ch]~

.PHONY: all clean

#---------------------------------------------------------------------------#

$(OBJDIR)/jarfile.o: jarfile.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ jarfile.c

$(OBJDIR)/jarentry.o: jarentry.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ jarentry.c

$(OBJDIR)/jariterator.o: jariterator.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ jariterator.c

$(OBJDIR)/unstore.o: unstore.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ unstore.c

$(OBJDIR)/unreduce.o: unreduce.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ unreduce.c

$(OBJDIR)/undeflate.o: undeflate.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ undeflate.c

$(OBJDIR)/unimplode.o: unimplode.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ unimplode.c

$(OBJDIR)/unshrink.o: unshrink.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ unshrink.c

$(OBJDIR)/crc32.o: crc32.c ../config.h jar.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ crc32.c

$(OBJDIR)/jarblack.o: black.c ../config.h ../sys/sys.h \
	../cnt/cnt.h ../test/test.h
	$(CC) $(CFLAGS) -c -o $@ black.c
